.App {
  text-align: center;
  /* background-color: #b8b8b8; */
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: #3a94f1;
}

/* react calendar */
.react-calendar { 
  width: 700px;
  max-width: 100%;
  background-color: #29648A;
  color: white;
  border-radius: 8px;
  box-shadow: 0 12px 24px rgba(0, 0, 0, 0.2);
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.125em;
}

.react-calendar__navigation button {
  color: white;
  min-width: 44px;
  background:none;
  font-size: 16px;
  margin-top: 8px;
}

.react-calendar--doubleView {
  width: 700px;
}
.react-calendar--doubleView .react-calendar__viewContainer {
  display: flex;
  margin: -0.5em;
}
.react-calendar--doubleView .react-calendar__viewContainer > * {
  width: 50%;
  margin: 0.5em;
}
.react-calendar,
.react-calendar *,
.react-calendar *:before,
.react-calendar *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.react-calendar button {
  margin: 0;
  border: 0;
  outline: none;
}
.react-calendar button:enabled:hover {
  cursor: pointer;
}
.react-calendar__navigation {
  display: flex;
  height: 44px;
  margin-bottom: 1em;
}
.react-calendar__navigation button {
  min-width: 44px;
  /* background: none; */
}
.react-calendar__navigation button:enabled:hover,
.react-calendar__navigation button:enabled:focus {
  background-color: #2E9CCA;
}
.react-calendar__navigation button[disabled] {
  background-color: #2E9CCA;
}
.react-calendar__month-view__weekdays {
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 0.75em;
}
.react-calendar__month-view__weekdays__weekday {
  padding: 0.5em;
}
.react-calendar__month-view__weekNumbers .react-calendar__tile {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.75em;
  font-weight: bold;
  padding: calc(0.75em / 0.75) calc(0.5em / 0.75);
}
.react-calendar__month-view__days__day--weekend {
  /* color: #d10000; */
  color: rgb(178, 175, 175);
}
.react-calendar__month-view__days__day--neighboringMonth {
  color: rgb(178, 175, 175);
}
.react-calendar__year-view .react-calendar__tile,
.react-calendar__decade-view .react-calendar__tile,
.react-calendar__century-view .react-calendar__tile {
  padding: 2em 0.5em;
}
.react-calendar__tile {
  max-width: 100%;
  text-align: center;
  padding: 0.75em 0.5em;
  background: none;
  color: rgb(193, 193, 193);
}
.react-calendar__tile:disabled {
  background-color: #2E9CCA;
}
.react-calendar__tile:enabled:hover,
.react-calendar__tile:enabled:focus {
  background-color: #2E9CCA;
  color: white;
}
.react-calendar__tile--now {
  /* background: #ffff76; */
  background-color: #2e9bca4c;
}
.react-calendar__tile--now:enabled:hover,
.react-calendar__tile--now:enabled:focus {
  background: #2E9CCA;
  color: white;
}
.react-calendar__tile--hasActive {
  background: #76baff;
}
.react-calendar__tile--hasActive:enabled:hover,
.react-calendar__tile--hasActive:enabled:focus {
  background: #a9d4ff;
}
.react-calendar__tile--active {
  background: #2E9CCA;
  color: white;
}
.react-calendar__tile--active:enabled:hover,
.react-calendar__tile--active:enabled:focus {
  background: #2E9CCA;
}
.react-calendar--selectRange .react-calendar__tile--hover {
  background-color: #e6e6e6;
}
.calendar-container {
  display: flex;
  align-items: center;
  justify-content: center;
}
.btn-unchecked {
  min-width: 64px;
  min-height: 38px;
  background-color: #AAABB8 !important;
  border-color: #AAABB8 !important;
  color: #5e646b !important;
}
.btn-unchecked:hover {
  background-color: #2E9CCA !important;
  border-color: #2E9CCA !important;
  color: white !important;
}
.btn-checked {
  min-width: 64px;
  min-height: 38px;
  background-color: #29648A !important;
  border-color: #29648A !important;
  color: white !important;
}
.grid-card {
  min-width: 155px;
  min-height: 26px;
  background-color: #29648A !important;
  border-color: #29648A !important;
  color: white !important;
}

.btn-default {
  min-width: 128px;
  min-height: 40px;
  font-size: 32px !important;
  background-color: #2E9CCA !important;
  border-color: #2E9CCA !important;
  color: white !important;
}

.page-header {
  color: #cbe1f0;
}

.vertical-margin {
  margin-top: 20px;
}

.feedbackPopup {
  width: auto;
  height: auto;
  background-color:#2E9CCA;
  border-radius: 4px;
  font-size: 32px;
  box-shadow: rgba(0, 0, 0, 0.2) -4px 4px;
  color: white;
}